php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #56843 configure does not recognize --without-http-zlib-compression
Submitted: 2006-02-16 22:26 UTC Modified: 2006-02-17 04:29 UTC
From: zaa at zaa dot pp dot ru Assigned: mike (profile)
Status: Closed Package: pecl_http (PECL)
PHP Version: 5.1.0 OS: FreeBSD 4.11-STABLE
Private report: No CVE-ID: None
 [2006-02-16 22:26 UTC] zaa at zaa dot pp dot ru
Description:
------------
Even if --with-http-zlib-compression option is not being passed to configure script it tries to check for zlib presence and if detected zlib version is lower than 1.2.0.4 it dies unexpectedly.

# php -v
PHP 5.1.2 (cli) (built: Feb 14 2006 03:54:49)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies
# uname -mrs
FreeBSD 4.11-STABLE i386
orion:...work/pecl_http-0.23.1# ./configure --enable-http --with-php-config=/usr/local/bin/php-config  --prefix=/usr/local i386-portbld-freebsd4.11
configure: WARNING: you should use --build, --host, --target
checking for egrep... grep -E
checking for a sed that does not truncate output... /usr/bin/sed
checking for i386-portbld-freebsd4.11-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether gcc and cc understand -c and -o together... yes
checking if compiler supports -R... yes
checking build system type... i386-portbld-freebsd4.11
checking host system type... i386-portbld-freebsd4.11
checking target system type... i386-portbld-freebsd4.11
checking for PHP prefix... /usr/local
checking for PHP includes... -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext
checking for PHP extension directory... /usr/local/lib/php/20050922
checking for PHP installed headers prefix... /usr/local/include/php
checking for re2c... no
configure: WARNING: You will need re2c 0.9.11 or later if you want to regenerate PHP parsers.
checking for gawk... gawk
checking whether to enable extended HTTP support... yes, shared
checking whether to enable cURL HTTP request support... yes
checking whether to enable zlib encodings support... yes
checking whether to enable response content type guessing... no
checking for egrep... (cached) grep -E
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... no
checking for unistd.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking for unistd.h... (cached) yes
checking for zlib.h... found in /usr
checking for zlib version >= 1.2.0.4... 1.1.4
configure: error: libz version greater or equal to 1.2.0.4 required



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-02-17 02:57 UTC] mike@php.net
Yes, because it tries to enable it by default.

Use --without-http-zlib-compression.
 [2006-02-17 04:22 UTC] zaa at zaa dot pp dot ru
I've already tried to pass the --without-http-zlib-compression flag, but got the same result:

orion:...work/pecl_http-0.23.1# ./configure --enable-http --with-php-config=/usr/local/bin/php-config --prefix=/usr/local --without-http-zlib-compression
checking for egrep... grep -E
checking for a sed that does not truncate output... /usr/bin/sed
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether gcc and cc understand -c and -o together... yes
checking if compiler supports -R... yes
checking build system type... i386-unknown-freebsd4.11
checking target system type... i386-unknown-freebsd4.11
checking for PHP prefix... /usr/local
checking for PHP includes... -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext
checking for PHP extension directory... /usr/local/lib/php/20050922
checking for PHP installed headers prefix... /usr/local/include/php
checking for re2c... no
configure: WARNING: You will need re2c 0.9.11 or later if you want to regenerate PHP parsers.
checking for gawk... gawk
checking whether to enable extended HTTP support... yes, shared
checking whether to enable cURL HTTP request support... yes
checking whether to enable zlib encodings support... no
checking whether to enable response content type guessing... no
checking for egrep... (cached) grep -E
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... no
checking for unistd.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking for unistd.h... (cached) yes
checking for zlib.h... found in /usr
checking for zlib version >= 1.2.0.4... 1.1.4
configure: error: libz version greater or equal to 1.2.0.4 required
 [2006-02-17 04:29 UTC] mike@php.net
This bug has been fixed in CVS.

In case this was a documentation problem, the fix will show up at the
end of next Sunday (CET) on pecl.php.net.

In case this was a pecl.php.net website problem, the change will show
up on the website in short time.
 
Thank you for the report, and for helping us make PECL better.


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Sep 18 13:03:38 2021 UTC